# Uses of Class
org.eclipse.jdt.core.dom.TypePattern

Packages that use TypePattern
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of TypePattern in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return TypePattern
Modifier and Type
Method
Description
`TypePattern`
AST.`newTypePattern()`
Creates and returns a new unparented type pattern node with an unspecified pattern variable.
Methods in org.eclipse.jdt.core.dom with parameters of type TypePattern
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(TypePattern node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(TypePattern node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(TypePattern node)`
Visits the given type-specific AST node.